curl --request GET \
--url https://query-suggestions.us.algolia.com/1/configs/ALGOLIA_INDEX_NAME/status \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new QuerySuggestionsClient(
new QuerySuggestionsConfig(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);
// Call the API
var response = await client.GetConfigStatusAsync("<YOUR_INDEX_NAME>");
// print the response
Console.WriteLine(response);// Initialize the client with your application region, eg. suggestions.ALGOLIA_APPLICATION_REGION
client, err := suggestions.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", suggestions.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetConfigStatus(client.NewApiGetConfigStatusRequest(
"<YOUR_INDEX_NAME>"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
QuerySuggestionsClient client = new QuerySuggestionsClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
ConfigStatus response = client.getConfigStatus("<YOUR_INDEX_NAME>");
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initQuerySuggestions({ region: 'us' });
// Call the API
const response = await client.getConfigStatus({ indexName: 'theIndexName' });
// print the response
console.log(response);// Initialize the client
val client =
QuerySuggestionsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.getConfigStatus(indexName = "<YOUR_INDEX_NAME>")
// print the response
println(response)// Initialize the client
$client = QuerySuggestionsClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->getConfigStatus(
'<YOUR_INDEX_NAME>',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use QuerySuggestionsClient instead, which exposes the exact same methods.
client = QuerySuggestionsClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.get_config_status(
index_name="<YOUR_INDEX_NAME>",
)
# print the response
print(response)# Initialize the client
client = Algolia::QuerySuggestionsClient.create(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.get_config_status("<YOUR_INDEX_NAME>")
# print the response
puts(response)// Initialize the client
val client = QuerySuggestionsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.getConfigStatus(
indexName = "<YOUR_INDEX_NAME>"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try QuerySuggestionsClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.getConfigStatus(indexName: "<YOUR_INDEX_NAME>")
// print the response
print(response){
"indexName": "ALGOLIA_INDEX_NAME",
"isRunning": false,
"lastBuiltAt": "2023-07-05T08:03:53Z",
"lastSuccessfulBuildDuration": 28,
"lastSuccessfulBuiltAt": "2023-07-05T08:03:53Z"
}Retrieve configuration status
Reports the status of a Query Suggestions index.
curl --request GET \
--url https://query-suggestions.us.algolia.com/1/configs/ALGOLIA_INDEX_NAME/status \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new QuerySuggestionsClient(
new QuerySuggestionsConfig(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);
// Call the API
var response = await client.GetConfigStatusAsync("<YOUR_INDEX_NAME>");
// print the response
Console.WriteLine(response);// Initialize the client with your application region, eg. suggestions.ALGOLIA_APPLICATION_REGION
client, err := suggestions.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", suggestions.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetConfigStatus(client.NewApiGetConfigStatusRequest(
"<YOUR_INDEX_NAME>"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
QuerySuggestionsClient client = new QuerySuggestionsClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
ConfigStatus response = client.getConfigStatus("<YOUR_INDEX_NAME>");
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initQuerySuggestions({ region: 'us' });
// Call the API
const response = await client.getConfigStatus({ indexName: 'theIndexName' });
// print the response
console.log(response);// Initialize the client
val client =
QuerySuggestionsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.getConfigStatus(indexName = "<YOUR_INDEX_NAME>")
// print the response
println(response)// Initialize the client
$client = QuerySuggestionsClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->getConfigStatus(
'<YOUR_INDEX_NAME>',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use QuerySuggestionsClient instead, which exposes the exact same methods.
client = QuerySuggestionsClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.get_config_status(
index_name="<YOUR_INDEX_NAME>",
)
# print the response
print(response)# Initialize the client
client = Algolia::QuerySuggestionsClient.create(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.get_config_status("<YOUR_INDEX_NAME>")
# print the response
puts(response)// Initialize the client
val client = QuerySuggestionsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.getConfigStatus(
indexName = "<YOUR_INDEX_NAME>"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try QuerySuggestionsClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.getConfigStatus(indexName: "<YOUR_INDEX_NAME>")
// print the response
print(response){
"indexName": "ALGOLIA_INDEX_NAME",
"isRunning": false,
"lastBuiltAt": "2023-07-05T08:03:53Z",
"lastSuccessfulBuildDuration": 28,
"lastSuccessfulBuiltAt": "2023-07-05T08:03:53Z"
}settingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Query Suggestions index name. Name of the Query Suggestions index (case-sensitive).
"ALGOLIA_INDEX_NAME"
Response
OK
Name of the Query Suggestions index (case-sensitive).
"ALGOLIA_INDEX_NAME"
Whether the creation or update of the Query Suggestions index is in progress.
false
Date and time when the Query Suggestions index was last built, in RFC 3339 format.
"2023-07-05T08:03:53Z"
Duration of the last successful build in seconds.
28
Date and time when the Query Suggestions index was last updated successfully.
"2023-07-05T08:03:53Z"
Was this page helpful?